Bug 179380 - Keymap for norwegian keyboard is bogus
Keymap for norwegian keyboard is bogus
Product: Fedora
Classification: Fedora
Component: kbd (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
Depends On:
  Show dependency treegraph
Reported: 2006-01-30 13:45 EST by Terje Røsten
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-01 14:26:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Terje Røsten 2006-01-30 13:45:21 EST
Description of problem:

When selecting no (for Norwegian) for keyboard in anaconda, 
/etc/sysconfig/keyboard ends up with

however, the keymap:  


is very wrong. The funny thing is that 

works very well.

Can we please just remove no.map.gz (or moved to no-legacy.map.gz) 
and rename no.latin-1.map.gz to no.map.gz?

Would be great if this was included in FC5...

Comment 1 Miloslav Trmač 2006-02-01 14:26:02 EST
Renaming keyboards would just cause unnecesary deviation from upstream; simply
set KEYTABLE to no-latin1 if you want it.

AFAICS the no-latin1 layout is not the standard Norwegian layout (judging by
no-latin1.doc and a comparison with the layout at
http://www.microsoft.com/globaldev/reference/keyboards.mspx).  Anyway, if you
want to change the default layout, please file a bug against rhpl.
Comment 2 Kjetil T. Homme 2006-02-04 19:10:41 EST
I've asked Andries to replace no.map with no-standard.map (written by Stian
Sletner, distributed by Debian) for the next release of kbd.

Note You need to log in before you can comment on or make changes to this bug.